# Interface JspSourceDependent

public interface JspSourceDependent
Interface for tracking the source files dependencies, for the purpose of compiling out of date pages. This is used for:

- files that are included by page directives
- files that are included by include-prelude and include-coda in jsp:config
- files that are tag files and referenced
- TLDs referenced

## Method Summary

Modifier and Type
Method
Description
`Map<String,Long>`
`getDependants()`
Returns a map of file names and last modified time where the current page has a source dependency on the file.

## Method Details

### getDependants

Map<String,Long> getDependants()
Returns a map of file names and last modified time where the current page has a source dependency on the file.

Returns:
  the map of dependent resources